<p align="center" >
<img src="http://oi60.tinypic.com/116jd51.jpg" alt="Particle" title="Particle">
</p>

# Particle iOS Cloud SDK

[![Platform](https://img.shields.io/badge/platform-iOS-10a4fa.svg)](https://github.com/particle-iot/particle-sdk-ios) [![Build Status](https://api.travis-ci.org/particle-iot/particle-sdk-ios.svg)](https://travis-ci.org/particle-iot/particle-sdk-ios) [![license](https://img.shields.io/hexpm/l/plug.svg)](https://github.com/particle-iot/particle-sdk-ios/blob/master/LICENSE) [![version](https://img.shields.io/badge/cocoapods-0.8.1-green.svg)](https://github.com/particle-iot/particle-sdk-ios/blob/master/CHANGELOG.md) [![Carthage compatible](https://img.shields.io/badge/carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage)

### Introduction

Particle iOS Cloud SDK enables iOS apps to interact with Particle-powered connected products via the Particle Cloud. It’s an easy-to-use wrapper for Particle REST API. The Cloud SDK will allow you to:

- Manage & inject user sessions for the Particle Cloud (access tokens, encrypted session management)
- Claim/Unclaim devices for a user account
- Get a list of Particle devices claimed by user
- Read variables from devices
- Invoke functions on devices
- Publish events from the mobile app and subscribe to events coming from devices
- Get data usage information for Electron devices

### Getting Started

- Download [Particle iOS Cloud SDK](https://github.com/particle/particle-sdk-ios/archive/master.zip) and try out the included iPhone example app
- Refer to our [documentation](https://docs.particle.io/reference/ios/) for getting started guide, API reference, support & feedback links.


### Communication

- If you **need help**, use [Our community website](http://community.particle.io)
- If you **found a bug**, _and can provide steps to reliably reproduce it_, open an issue.
- If you **have a feature request**, open an issue.
- If you **want to contribute**, submit a pull request.


### Maintainers

- Ido Kleinman [Github](https://www.github.com/idokleinman) | [Twitter](https://www.twitter.com/idokleinman)
- Raimundas Sakalauskas [Github](https://www.github.com/raimundassakalauskas)

### License

Particle iOS Cloud SDK is available under the Apache License 2.0. See the [LICENSE file](https://github.com/particle-iot/particle-sdk-ios/blob/master/LICENSE) for more info.
